<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>StudentPage</title>
  </head>
  <style>
    .card {
      background-color: #f5f5f5;
      padding: 30px 150px 30px 150px;

      border-radius: 5px;
      font-size: large;
      
    }
    .style1 {
      font-family: Bookman Old Style;
      font-size: 20px;
    }
    .error{
      background-color: #fcbcbc;
      padding: 10px 10px 10px 10px;
      margin: 10px 10px 10px 10px;
      border-radius: 5px;
      color: rgb(255, 5, 5);
    }
    .table{
      border: thin; 
    }
    .btn {
    background-color: #8a0707;
    color: white;
    }
  </style>
<%- include('partials/header')-%>
<body>
<div class="container style1">
  <h2 style="text-align: center;"> Student Result </h2>

  <% if (error!="em") { %>
    <div class="error"><%= error %></div>
  <% } %>
  <div class="form-body">
    <form action="/getresult" method="post">
      <div class="form-group">
        <label for="matric_no" class="control-label">Matric Number :</label>
        <input type="text" name="matric_no" class="form-control"
           placeholder="Enter your Matric Number" required>
      </div>

      <div class="form-group">
        <label for="sem" class="control-label">Semester :</label>
        <br>
        <select name="sem" id="sem">
          <option value="2019/2020-2">2019/2020-2</option>
          <option value="2019/2020-1">2019/2020-1</option>
          <option value="2018/2019-2">2018/2019-2</option>
          <option value="2018/2019-1">2018/2019-1</option>
        </select>
      </div>
      <br>
      <div class="form-group">
        <input type="submit" value="SEARCH" class="btn btn-lg " />
      </div>
    </form>
    <br>
      <% if (student!="em" && r!="em") { %>
        <div class="card">
          <div class="card-body">
            <h2>Summary Result</h2>
            <p><%= student.name %></p>
            <table class="table" >
              <tr>
                <td>Course</td>
                <td>Grade</td>
              </tr>
              <% for (var i=0; i < r.length; i++) { %>
                <tr>
                  <td><%= r[i].Name %></td>
                  <td><%= r[i].Grade %></td>
                </tr>
              <% } %>
            </table>
            
            <form method="post"  action="/getslip">
              <div style="text-align: end;">
                <input type="hidden" name="Student" value="<%= student._id %>"/>
                <input type="hidden" name="Result" value="<%= r_id %>"/>
                <button type="submit" class="btn btn-lg ">VIEW SLIP</button>
              </div>
            </form>
          </div>
          
        </div>
        <% }; %>

  </div>
</div>
</body>
<%- include('partials/footer')-%>
</html>